Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1144291 (CVE-2014-6054) - CVE-2014-6054 libvncserver: server divide-by-zero flaw in scaling factor handling
Summary: CVE-2014-6054 libvncserver: server divide-by-zero flaw in scaling factor hand...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2014-6054
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1145878 1145879 1145880 1145883 1157668 1157669 1157670 1157671 1157674 1157675 1157676 1157677
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-09-19 07:39 UTC by Murray McAllister
Modified: 2023-05-12 16:15 UTC (History)
18 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A divide-by-zero flaw was found in the way LibVNCServer handled the scaling factor when it was set to "0". A remote attacker could use this flaw to crash the VNC server using a malicious VNC client.
Clone Of:
Environment:
Last Closed: 2014-11-11 22:34:04 UTC
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:1826 0 normal SHIPPED_LIVE Moderate: libvncserver security update 2014-11-11 23:25:37 UTC
Red Hat Product Errata RHSA-2014:1827 0 normal SHIPPED_LIVE Moderate: kdenetwork security update 2014-11-12 02:16:52 UTC

Description Murray McAllister 2014-09-19 07:39:39 UTC
A divide-by-zero flaw was reported in LibVNCServer's scaling factor handling. A VNC client could use this flaw to cause the VNC server to crash.

Upstream commit:

https://github.com/newsoft/libvncserver/commit/05a9bd41a8ec0a9d580a8f420f41718bdd235446

Comment 2 Murray McAllister 2014-09-24 04:20:04 UTC
Acknowledgements:

Red Hat would like to thank oCERT for reporting this issue. oCERT acknowledges Nicolas RUFF as the original reporter.

Comment 3 Murray McAllister 2014-09-24 04:21:20 UTC
Public now:

http://seclists.org/oss-sec/2014/q3/639

Comment 4 Murray McAllister 2014-09-24 04:31:09 UTC
Created libvncserver tracking bugs for this issue:

Affects: fedora-all [bug 1145878]
Affects: epel-5 [bug 1145879]
Affects: epel-7 [bug 1145880]

Comment 5 Murray McAllister 2014-09-24 04:49:14 UTC
Created krfb tracking bugs for this issue:

Affects: fedora-all [bug 1145883]

Comment 6 Murray McAllister 2014-09-24 04:51:19 UTC
krfb advisory:

http://www.kde.org/info/security/advisory-20140923-1.txt

Comment 8 Fedora Update System 2014-09-29 04:06:38 UTC
libvncserver-0.9.10-0.6.20140718git9453be42.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2014-10-01 04:23:33 UTC
libvncserver-0.9.10-0.6.20140718git9453be42.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2014-10-04 03:25:09 UTC
libvncserver-0.9.10-0.6.20140718git9453be42.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2014-10-08 19:11:32 UTC
krfb-4.11.5-4.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2014-10-13 21:38:39 UTC
libvncserver-0.9.10-0.6.20140718git9453be42.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Martin Prpič 2014-11-10 08:59:06 UTC
IssueDescription:

A divide-by-zero flaw was found in the way LibVNCServer handled the scaling factor when it was set to "0". A remote attacker could use this flaw to crash the VNC server using a malicious VNC client.

Comment 17 errata-xmlrpc 2014-11-11 18:26:01 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2014:1826 https://rhn.redhat.com/errata/RHSA-2014-1826.html

Comment 18 errata-xmlrpc 2014-11-11 21:17:06 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2014:1827 https://rhn.redhat.com/errata/RHSA-2014-1827.html


Note You need to log in before you can comment on or make changes to this bug.